using System;
using System.Linq;

class Program
{
    static void Main()
    {
        string[] prviUnos = Console.ReadLine().Split(' ');
        int N = int.Parse(prviUnos[0]); 
        int Q = int.Parse(prviUnos[1]); 

        int[] dani = new int[N];
        int[] pakovanja = new int[N];
        for (int i = 0; i < N; i++)
        {
            string[] unos = Console.ReadLine().Split(' ');
            dani[i] = int.Parse(unos[0]);
            pakovanja[i] = int.Parse(unos[1]);
        }
        for (int j = 0; j < Q; j++)
        {
            int k = int.Parse(Console.ReadLine());
            long ukupnoPakovanja = 0;
            for (int i = 0; i < N; i++)
            {
                if (dani[i] <= k)
                {
                    ukupnoPakovanja += pakovanja[i]; 
                }
            }
            long rezultat = ukupnoPakovanja - k;
            Console.WriteLine(rezultat);
        }
    }
}